Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Priority_Mapping_Manager Class Reference

Priority_Mapping_Manager pseudo-objref. More...

`#include <Priority_Mapping_Manager.h>`

Inheritance diagram for TAO_Priority_Mapping_Manager

[legend]
Collaboration diagram for TAO_Priority_Mapping_Manager:

[legend]
List of all members.

## Public Types
typedef TAO_Priority_Mapping_Manager_ptr | _ptr_type
typedef TAO_Priority_Mapping_Manager_var | _var_type
## Public Methods
| TAO_Priority_Mapping_Manager (RTCORBA::PriorityMapping * mapping)
| Constructor.
void | mapping (RTCORBA::PriorityMapping * mapping)
RTCORBA::PriorityMapping* | mapping (void)
virtual void* | _tao_QueryInterface (ptr_arith_t type)
virtual const char* | _interface_repository_id (void) const
## Static Public Methods
TAO_Priority_Mapping_Manager_ptr | _duplicate (TAO_Priority_Mapping_Manager_ptr obj)
TAO_Priority_Mapping_Manager_ptr | _narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
TAO_Priority_Mapping_Manager_ptr | _unchecked_narrow ( CORBA::Object_ptr obj, CORBA::Environment &ACE_TRY_ENV = TAO_default_environment () )
TAO_Priority_Mapping_Manager_ptr | _nil (void)
## Protected Methods
| ~TAO_Priority_Mapping_Manager (void)
| Protected destructor to enforce proper memory management of this reference counted object.
## Private Methods
| TAO_Priority_Mapping_Manager (const TAO_Priority_Mapping_Manager &)
void | operator= (const TAO_Priority_Mapping_Manager &)
## Private Attributes
TAO_Priority_Mapping* | mapping_

## Detailed Description

Priority_Mapping_Manager pseudo-objref.

Allows setting of user-defined Priority_Mapping at run-time.

## Member Typedef Documentation

typedef TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager::_ptr_type

typedef TAO_Priority_Mapping_Manager_var TAO_Priority_Mapping_Manager::_var_type

## Constructor & Destructor Documentation

ACE_INLINE TAO_Priority_Mapping_Manager::TAO_Priority_Mapping_Manager ( | RTCORBA::PriorityMapping * mapping )

| Constructor.

TAO_Priority_Mapping_Manager::~TAO_Priority_Mapping_Manager ( | void )`[protected]`

| Protected destructor to enforce proper memory management of this reference counted object.

TAO_Priority_Mapping_Manager::TAO_Priority_Mapping_Manager ( | const TAO_Priority_Mapping_Manager & )`[private]`

## Member Function Documentation

TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager::_duplicate ( | TAO_Priority_Mapping_Manager_ptr obj )`[static]`

const char * TAO_Priority_Mapping_Manager::_interface_repository_id ( | void ) const`[virtual]`

| Reimplemented from CORBA_Object.

TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager::_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager::_nil ( | void )`[inline, static]`

| Reimplemented from CORBA_LocalObject.

void * TAO_Priority_Mapping_Manager::_tao_QueryInterface ( | ptr_arith_t type )`[virtual]`

| Reimplemented from CORBA_Object.

TAO_Priority_Mapping_Manager_ptr TAO_Priority_Mapping_Manager::_unchecked_narrow ( | CORBA::Object_ptr obj,
| CORBA::Environment & ACE_TRY_ENV = TAO_default_environment () )`[static]`

ACE_INLINE RTCORBA::PriorityMapping * TAO_Priority_Mapping_Manager::mapping ( | void )

ACE_INLINE void TAO_Priority_Mapping_Manager::mapping ( | RTCORBA::PriorityMapping * mapping )

void TAO_Priority_Mapping_Manager::operator= ( | const TAO_Priority_Mapping_Manager & )`[private]`

## Member Data Documentation

TAO_Priority_Mapping * TAO_Priority_Mapping_Manager::mapping_`[private]`

The documentation for this class was generated from the following files:

- Priority_Mapping_Manager.h
- Priority_Mapping_Manager.cpp
- Priority_Mapping_Manager.i